Package: groovy.transform

## [Java] Enum TypeCheckingMode

- groovy.transform.TypeCheckingMode

-     public enum TypeCheckingMode
      extends Enum

  This enumeration can be used whenever it is preferred to annotate a class as TypeChecked in general, but where only one or more methods are "dynamic". This allows the user to annotate the class itself then annotate only the methods which require exclusion.

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `PASS` |
    `SKIP` |

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `compareTo, compareTo, describeConstable, equals, getClass, getDeclaringClass, hashCode, name, notify, notifyAll, ordinal, toString, valueOf, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TypeCheckingMode PASS

    - #### TypeCheckingMode SKIP